apache upgrade issue in cenots 6

Issues related to applications and software problems
Post Reply
neerajkappa
Posts: 2
Joined: 2019/10/05 06:51:39

apache upgrade issue in cenots 6

Post by neerajkappa » 2019/10/05 07:09:51

Dear Experts ,


I have centos version 6x and we have httpd version configured 2.2.15 , now day we trying to enable
ssl for some sites on our own webserver with dns so requirement is this to
upgrade my apache 2.2.15 to at least 2.4 due to SSL Enabling for some sites


so is there any process to upgrade my running apache on production server without effecting running server.
if this is possible then share steps with me community members it will be really helpful for me.

Thanks in Advance
Neeraj Sharma :roll:

User avatar
TrevorH
Forum Moderator
Posts: 26955
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: apache upgrade issue in cenots 6

Post by TrevorH » 2019/10/05 11:40:11

There is no requirement to run apache httpd 2.4.x just to do SSL.. All you need to do is yum install mod_ssl and then configure your certificates.
CentOS 5 died in March 2017 - migrate NOW!
CentOS 6 goes EOL sooner rather than later, get upgrading!
Full time Geek, part time moderator. Use the FAQ Luke

neerajkappa
Posts: 2
Joined: 2019/10/05 06:51:39

Re: apache upgrade issue in cenots 6

Post by neerajkappa » 2019/10/07 09:50:14

yum install mod_ssl already installed


but still issue as it is ERR_SSL_PROTOCOL_ERROR

User avatar
TrevorH
Forum Moderator
Posts: 26955
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: apache upgrade issue in cenots 6

Post by TrevorH » 2019/10/07 10:31:27

Then you have a different problem. Fix that.
CentOS 5 died in March 2017 - migrate NOW!
CentOS 6 goes EOL sooner rather than later, get upgrading!
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply

Return to “CentOS 6 - Software Support”